/**
 * 文字数をカウントする
 * Copyright (c) 2014 Cybozu
 *
 * Licensed under the MIT License
 * https://opensource.org/license/mit/
 */
(() => {
  'use strict';

  kintone.events.on(['app.record.create.submit', 'app.record.edit.submit', 'app.record.index.edit.submit'], (event) => {
    // 本文に入力された文字数を取得
    const rec = event.record;
    const st = rec.honbun.value;
    // 空白文字を削除
    const st2 = st.replace(/\s+/g, '');
    // 文字数フィールドに文字数を代入
    rec.count.value = st2.length;

    return event;
  });
})();