
(() => {
    'use strict';
  
    const events = [
      'app.record.create.submit',
      'app.record.edit.submit'
    ];
  
    kintone.events.on(events, (event) => {
      const record = event.record;
      // receiptsテーブルのno欄を自動採番する
      const count = record.receipts.value.length;
      for (let i = 0; i < count; i++) {
        record.receipts.value[i].value.no.value = i + 1;
      }
  
      return event;
    });
  })();
  